Subject: Re: [PATCH v4 1/1][GSOC] userdiff: extend Bash pattern to cover more shell function forms

From: Junio C Hamano <[email-masked]>
Date: Fri, 02 May 2025 14:27:26 -0700

Moumita <[email-masked]> writes:

> From: Moumita Dhar <[email-masked]>
>
> The previous function regex required explicit matching of function
> bodies using `{`, `(`, `((`, or `[[`, which caused several issues:
>
> - It failed to capture valid functions where `{` was on the next line
>   due to line continuation (`\`).
> - It did not recognize functions with single  command body, such as
>   `x () echo hello`.
>
> Replacing the function body matching logic with `.*$`, ensures
> that everything on the function definition line is captured,
> aligning with other userdiff drivers and improving hunk headers in
> `git diff`.
>
> Additionally, the word regex is refined to better recognize shell
> syntax, including additional parameter expansion operators and
> command-line options, improving syntax-aware diffs.
>
> Signed-off-by: Moumita Dhar <[email-masked]>
> ---

This iteration hasn't seen any reviews or responses.  Is everybody
who participated in reviews in the previous rounds happy with it?

Thanks.